Get itemized costs by instance for the organization.
https://cloud.elastic.co
(Public)
- GET /api/v2/billing/organizations/{organization_id}/costs/instances/{instance_id}/items
Retrieves the costs associated to a set of items billed for a single instance. Admin callers receive the data unconditionally; non-admin user callers receive 403 if the instance is not in their accessible cloud resources.
Path Parameters
-
organization_idstringrequired -
Identifier for the organization
-
instance_idstringrequired -
Identifier for the instance
Query Parameters
-
fromstringrequired A datetime for the beginning of the desired range. Any timezone offset is accepted and converted to UTC internally. Responses always contain UTC values. If no timezone offset is specified, UTC is assumed.
-
tostringrequired A datetime for the end of the desired range. Any timezone offset is accepted and converted to UTC internally. Responses always contain UTC values. If no timezone offset is specified, UTC is assumed.
Responses
Success. The costs associated to a set of items billed for a single instance.
-
productsProductrequired -
product_line_itemsProductLineItemrequired -
display_quantityDisplayQuantityrequired -
Display quantity
-
formatted_valuestringrequired -
typerequired -
Values:
defaultnormalized -
valueinteger | numberrequired -
kindstring -
namestringrequired -
quantitiesProductLineItemQuantityrequired -
rateRaterequired -
Rate(value: 'int', formatted_value: 'str')
-
formatted_valuestringrequired -
valueintegerrequired -
skustringrequired -
total_ecuintegerrequired -
typestringrequired -
unitstringrequired -
total_ecuintegerrequired -
typestringrequired -
total_ecuintegerrequired
The specified data range is invalid.
Current user does not have access to the requested organization, or (for non-admin callers) does not have access to the requested instance.
Organization not found.
Internal server error.